Package org.apache.lucene.spatial3d.geom

# Interface GeoPointShape

All Superinterfaces:
  `Bounded`, `GeoArea`, `GeoAreaShape`, `GeoBBox`, `GeoBounds`, `GeoCircle`, `GeoDistance`, `GeoDistanceShape`, `GeoMembershipShape`, `GeoOutsideDistance`, `GeoShape`, `GeoSizeable`, `Membership`, `PlanetObject`, `SerializableObject`

public interface GeoPointShape extends GeoCircle, GeoBBox
Interface describing a GeoPointShape shape.It may represents a degenerated bounding box or a degenerated circle, hence it extends such interfaces.

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.spatial3d.geom.GeoArea

  `CONTAINS, DISJOINT, OVERLAPS, WITHIN`

- ## Method Summary

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Bounded

  `getBounds`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoArea

  `getRelationship`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoAreaShape

  `intersects`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoBBox

  `expand`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoDistance

  `computeDeltaDistance, computeDeltaDistance, computeDistance, computeDistance`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoDistanceShape

  `getDistanceBounds`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoOutsideDistance

  `computeOutsideDistance, computeOutsideDistance`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoShape

  `getEdgePoints, intersects`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoSizeable

  `getCenter, getRadius`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Membership

  `isWithin, isWithin`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.PlanetObject

  `getPlanetModel`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

  `write`